%define gitversion v31.0
%define fixesdate 0
%define rel 4

%if %{fixesdate}
%define release %mkrel %fixesdate.%rel
%else
%define release %mkrel %rel
%endif

%define required_myth %{version}


Summary:        The web interface to MythTV
Name:           mythtv-mythweb
Version:        31.0
Release:        %{release}
License:        GPLv2
Group:          Video/Television
URL:            https://www.mythtv.org/
Source0:        https://github.com/MythTV/mythweb/archive/v%{version}/mythweb-%{version}.tar.gz
Source1:        update-fixes.sh
%if %{fixesdate}
Patch001:       fixes-%{gitversion}.patch
%endif
BuildArch:      noarch
Requires:       mythtv-backend >= %{required_myth}
Requires:       php-webinterface
Requires:       php-mythtv
Requires:       php-mysqli
Requires:       php-sockets

# Requires autofinder is confused, requires nonexistent packages
%global __requires_exclude pear*

%description
The web interface to MythTV.

%prep
%setup -q -n mythweb-%{version}
%autopatch -p1

# (cg) The install scripts are pretty dumb at times and include these files
# so lets trash them early
find \( -name .gitignore -o -name "*.[0-9][0-9][0-9][0-9]" \) -delete

%build

%install

install -d -m755 %{buildroot}%{_var}/www/mythweb
install -m644 *.php %{buildroot}%{_var}/www/mythweb
install -m755 *.pl %{buildroot}%{_var}/www/mythweb

for dir in classes includes js modules skins ; do
  cp -r $dir %{buildroot}%{_var}/www/mythweb
done

install -d -m755 %{buildroot}%{_localstatedir}/lib/mythweb/data
ln -s %{_localstatedir}/lib/mythweb/data %{buildroot}%{_var}/www/mythweb/data

# Create a default configuration for mythweb
install -d -m755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m644 mythweb.conf.apache %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf

perl -pi -e's|<Directory "/var/www/html|<Directory "%{_var}/www/mythweb|' %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf
perl -pi -e's|#    RewriteBase    /mythweb|    RewriteBase    /mythweb|' %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf

cat >> %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf <<EOF

# Mageia Customisations

Alias /mythweb %{_var}/www/mythweb
<Directory %{_var}/www/mythweb>
    # Only allow localhost access by default. Customise to suit your needs
    # (customisations should be placed in a separate file in conf/vhosts.d/)
%if %{mgaversion} < 3
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
%endif
%if %{mgaversion} >= 3
    Require local granted
%endif
</Directory>
EOF

%files
%doc README* INSTALL mythweb.conf.*
%license LICENSE
%{_var}/www/mythweb
%dir %{_localstatedir}/lib/mythweb
%attr(-,apache,apache) %{_localstatedir}/lib/mythweb/data
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 31.0-4.mga10
+ Revision: 2206387
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 31.0-3.mga9
+ Revision: 1812929
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 mokraemer <mokraemer> 31.0-2.mga8
+ Revision: 1607871
- resolve mod_php conflict

* Mon May 04 2020 daviddavid <daviddavid> 31.0-1.mga8
+ Revision: 1580039
- new version: 31.0

* Fri Feb 14 2020 umeabot <umeabot> 30.0-2.mga8
+ Revision: 1522157
- Mageia 8 Mass Rebuild

* Tue Jan 22 2019 daviddavid <daviddavid> 30.0-1.mga7
+ Revision: 1359374
- new version: 30.0

* Thu Sep 20 2018 umeabot <umeabot> 0.28.1-3.mga7
+ Revision: 1280132
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 daviddavid <daviddavid> 0.28.1-2.mga7
+ Revision: 1133871
- requires php-mysqli and php-sockets

* Sun Jul 30 2017 daviddavid <daviddavid> 0.28.1-1.mga7
+ Revision: 1132901
- new version: 0.28.1 (mga#21414)

* Mon Feb 08 2016 umeabot <umeabot> 0.27.4-2.mga6
+ Revision: 950135
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 colin <colin> 0.27.4-1.mga5
+ Revision: 792510
- New version: 0.27.4 (no actual change since 0.27.1)

* Wed Oct 15 2014 umeabot <umeabot> 0.27.3-20140710.2.mga5
+ Revision: 742515
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Jul 10 2014 colin <colin> 0.27.3-20140710.1.mga5
+ Revision: 651064
- Update to 0.27.3

* Sun Dec 22 2013 colin <colin> 0.27-20131222.1.mga4
+ Revision: 559915
- Update to latest fixes

* Tue Sep 24 2013 colin <colin> 0.27-1.mga4
+ Revision: 484768
- Fix unexpanded macro
- imported package mythtv-mythweb

